Bug 36780 - squidguard does not work
squidguard does not work
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Proxy services
UCS@school 4.0
Other Linux
: P5 normal (vote)
: UCS@school 4.0
Assigned To: Florian Best
Sönke Schwardt-Krummrich
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 21:05 CET by Florian Best
Modified: 2015-05-11 19:27 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2014-11-17 21:05:34 CET
2014-11-17 20:55:12 [24022] (squidGuard): FATAL: can't open configfile  /etc/squid/squidGuard.conf
2014-11-17 20:55:12 [24022] ERROR: Going into emergency mode

+proxy/filter/room/Computerraum 1. Stock/ip: 10.200.27.153 10.200.27.152 10.200.27.151 10.200.27.150 10.200.27.16 10.200.27.155 10.200.27.154 10.200.27.14 10.200.27.102 10.200.27.103 10.200.27.2
+proxy/filter/room/Computerraum 1. Stock/rule: Kein Internet


from 10.200.27.16 the following command still works:
curl --proxy master5.ucs.dev:3128 --proxy-user anton6:univention http://google.de

I did not find any occurrence of /etc/squid/ in our code. Where does it come from?
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2014-11-17 21:15:11 CET
# grep squidGuard.conf /etc/squid3/squid.conf
url_rewrite_program /usr/bin/squidGuard -c /etc/squid/squidGuard.conf
# dpkg -S /etc/univention/templates/files/etc/squid3/squid.conf
univention-squid: /etc/univention/templates/files/etc/squid3/squid.conf
#

redirect = configRegistry.get("squid/redirect")
if redirect:
        if redirect == "squidguard":
                print 'url_rewrite_program /usr/bin/squidGuard -c /etc/squid/squidGuard.conf'
        else:
                print 'url_rewrite_program %s' % redirect
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2014-11-17 21:18:34 CET
Please fix the command line argument specified in
univention-squid: /etc/univention/templates/files/etc/squid3/squid.conf
and rebuild the package univention-squid.
Comment 3 Florian Best univentionstaff 2014-11-18 17:21:13 CET
This is btw fixed in univention-squid.
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2014-11-18 22:09:11 CET
No problems found. Added changelog entry for UCS 4.